tigase.jaxmpp.core.client.xmpp.modules

## Class AbstractIQModule

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule<T>
  - - tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaExtendableModule<IQ>
    - - tigase.jaxmpp.core.client.xmpp.modules.AbstractIQModule

- All Implemented Interfaces:
    ContextAware, ExtendableModule, InitializingModule, XmppModule
  Direct Known Subclasses:
    AdHocCommansModule, BookmarksModule, DiscoveryModule, EntityTimeModule, FlexibleOfflineMessageRetrieval, InBandRegistrationModule, NonSaslAuthModule, PingModule, RosterModule, SoftwareVersionModule, WorkgroupAgentModule

      public abstract class AbstractIQModule
      extends AbstractStanzaExtendableModule<IQ>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `context, log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractIQModule()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(IQ stanza)` Method for processing incoming stanza.
    `protected abstract void` | `processGet(IQ element)` Method for processing stanza `<iq type='get'>`.
    `protected abstract void` | `processSet(IQ element)` Method for processing stanza `<iq type='set'>`.

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaExtendableModule

      `addExtension, getExtensionChain, getFeaturesWithExtensions, removeExtension, write, write, write`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `afterRegister, beforeRegister, beforeUnregister, fireEvent, getFirstChild, process, setContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.jaxmpp.core.client.XmppModule

      `getCriteria, getFeatures`

- - ### Constructor Detail

    - #### AbstractIQModule

          public AbstractIQModule()

  - ### Method Detail

    - #### process

          public void process(IQ stanza)
                       throws JaxmppException

      Description copied from class: `AbstractStanzaModule`
      Method for processing incoming stanza.
      Specified by:
        `process` in class `AbstractStanzaModule<IQ>`
      Parameters:
        `stanza` - incoming stanza
      Throws:
        `JaxmppException`

    - #### processGet

          protected abstract void processGet(IQ element)
                                      throws JaxmppException

      Method for processing stanza `<iq type='get'>`.
      Parameters:
        `element` - incoming XMPP stanza
      Throws:
        `JaxmppException`

    - #### processSet

          protected abstract void processSet(IQ element)
                                      throws JaxmppException

      Method for processing stanza `<iq type='set'>`.
      Parameters:
        `element` - incoming XMPP stanza
      Throws:
        `JaxmppException`

Copyright © 2006–2022 Tigase. All rights reserved.